void phase3() {
    textSize(40);
    background(spielhintergrund);
    
    SackX = mouseX-Sack.width/2;
    
    timer+=1/frameRate;
    
    
    fill((timer > 50 ? 255 : 0), 0, 0); // Farbe zu rot ändern ab 50 Sekunden
    text(round(timer) + "sec", 50, 50); // Stoppuhr anzeigen
    
    image(Sack, SackX, SackY);
    
    //Neue Bomben und Geld spawnen
    if(frameCount % 50 == 0) {
       new Bombe(Bombe);
    }
    if(frameCount % 30 == 0 && Objekte.size() < 20) {
       new Coin(Coin);
    }
    
    
    //Die Explosionen anzeigen
    explosionen.forEach((obj) -> obj.run());
    
    //Alle Objekte / Explosionen entfernen die fertig oder ausserhalb der Bildschirm sind
    Objekte.removeIf(objekt -> (objekt.posY>height || objekt.hit == true));
    explosionen.removeIf(explosion -> (explosion.size > explosion.maxSize));
    
    
    //Herzen anzeigen
    for(int i = 0; i<leben; i++) {
      image(Herz, width-200-40*i, 40);
    }
    
    //Score anzeigen
    fill(255);
    textSize(60);
    text("Score: " + score, width-230, 150);
    
    if(leben == 0) {
      phase = 4;
    } else if(timer > 60) {
      phase = 5;
    }
    
    
    //Objekte rennen
    Objekte.forEach((obj) -> {
      
      //Mittepunkt des Objektes ausrechnen
      float x = obj.posX+obj.bild.width/2;
      float y = obj.posY+obj.bild.height/2;
      
      //Pythagoras benutzen um die Distanz von der Sack zu dem Objekt aus zu rechnen
      if(sqrt(sq((SackX+Sack.width/2)-x) + sq((SackY)-y)) <= obj.bild.width/2) {
        obj.kontakt();
      }
      obj.run();
      
    });
}

void phase2() {
    background(216,191,216);
    textSize(100);
    textAlign(CENTER);
    text("Spielanleitung", 960, 155);
    textSize(30);
    text("Drücke z, um zurück zum Hauptmenu zu gelangen", 960, 800);
    textSize(40);
    textAlign(LEFT);
    text("1. Bewege den Geldbeutel, indem du die Maus nach links oder rechst bewegst", 100, 400);
    textSize(40);
    text("2. Versuche soviele Münzen wie möglich in einem Durchgang von 1 Minute einzufangen", 100, 450);
    textSize(40);
    text("3. Entweiche den Bomben, ansonsten verlierst du eines der 3 Leben", 100, 500);
    textSize(40);
    text("4. Das Spiel endet, sobald die Zeit abgelaufen oder du alle der 3 Leben verloren hast", 100, 550);


    //Klick erkennen
    if (keyPressed && key == 'z')
    {
      phase = 1;
    }
}

void phase1() {
    background(216,191,216);
    textAlign(CENTER);
    fill(255);
    textSize(100);
    text("Startseite", 1000, 155);
    fill(255);
    textSize(50);
    text("Spielanleitung", 1552, 220);
    fill(255);
    textSize(75);
    text("Viel Spass!", 1000, 500);
    fill(255);
    textSize(50);
    text("Play", 960, 800);


    fill(173, 216, 230);
    square(1750, 180, 55);
    square(1040, 760, 55);
    fill(255);


    if (mousePressed && mouseButton == LEFT)
    {
      if (mouseX >= 1750 && mouseX <= 1805 && mouseY >= 180 && mouseY <= 235) {
        phase = 2;
      }
      else if (mouseX >= 1040 && mouseX <= 1095 && mouseY >= 760 && mouseY <= 815) {
        phase = 3;
      }
    }
}

void phase4() {
  background(216,191,216);
  Objekte.clear();
  explosionen.clear();
  
  textSize(100);
  text("GAME OVER", width/2, height/2-200);
  text("Das war dein Score " + score, width/2, height/2);
  text("Klicke um neu zu beginnen", width/2, height/2+200);
  
  if(mousePressed) {
    //Beim Klicken der Maus startet das Spiel neu
    phase = 1;
    score = 0;
    leben = 3;
    timer = 0;
  }
}

void phase5() {
  background(spielhintergrund);
  Objekte.clear();
  explosionen.clear();
  
  textSize(100);
  fill(255);
  text("Gewonnen!", width/2, height/2-200);
  text("Das war dein Score " + score, width/2, height/2);
  text("Klicke um neu zu beginnen", width/2, height/2+200);
  
  if(mousePressed) {
    //Beim Klicken der Maus startet das Spiel neu
    phase = 1;
    score = 0;
    leben = 3;
    timer = 0;
  }
}
